#!/bin/sh
#
if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
#
################################################################################
#
#
# post-installation script for Linux 
# 
# 
#
################################################################################
#
# root pass: master_user@vm-net#01 
#
################################################################################
while :
do
clear
echo ""
echo "\033[1m I N S T A L L LinuxMint22 Software"
echo " -----------------------------------------"
echo "\033[0m"
echo " 01.Install Ananicy"
echo " 02.Install Brave Browser"
echo " 03.Install Telegram-Desktop"
echo " 04.Install OwnCloud-Client"
echo " 05.Install VSCodium"
echo " 06.Install Syncthing"
echo " 07.Install Steam DosBOX"
echo ""
echo " x. Exit"
echo ""
echo -n " Please enter option [01 - 07]"
read opt
case $opt in

##################################################################################
01) echo "************ Install Ananicy **********************";
##################################################################################
sudo apt install --assume-yes --install-recommends schedtool -f

git clone https://github.com/kuche1/minq-ananicy.git
./minq-ananicy/package.sh debian
sudo dpkg -i ./minq-ananicy/*ananicy-*.deb

sudo apt install --assume-yes --install-recommends gamemode -f
sudo apt install --assume-yes --install-recommends thermald -f
sudo apt install --assume-yes --install-recommends tuned -f

sudo systemctl enable --now ananicy
;;

##################################################################################
02) echo "************ Install Brave Browser **********************";
##################################################################################
wget -qO - https://brave-browser-apt-release.s3.brave.com/brave-browser-archive-keyring.gpg | sudo gpg --dearmor -o /usr/share/keyrings/brave-browser-stable-keyring.gpg
echo "deb [arch=amd64 signed-by=/usr/share/keyrings/brave-browser-stable-keyring.gpg] https://brave-browser-apt-release.s3.brave.com/ stable main"|sudo tee /etc/apt/sources.list.d/brave-browser-release.list
sudo apt update && sudo apt install -y brave-browser
;;

##################################################################################
03) echo "************ Install Telegram-Desktop **********************";
##################################################################################
wget -O telegram.tar.xz https://telegram.org/dl/desktop/linux && tar xf telegram.tar.xz
sudo mv Telegram /opt/telegram && sudo ln -sf /opt/telegram/Telegram /usr/bin/telegram
/usr/bin/telegram
;;

##################################################################################
04) echo "************ Install OwnCloud-Client **********************";
##################################################################################
wget -nv https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/Ubuntu_22.04/Release.key -O - | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/owncloud.gpg > /dev/null
echo 'deb https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/Ubuntu_22.04/ /' | sudo tee -a /etc/apt/sources.list.d/owncloud.list
sudo apt update && sudo apt install -y owncloud-client
;;

##################################################################################
05) echo "************ Install VSCodium **********************";
##################################################################################
wget -O- https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/raw/master/pub.gpg | sudo gpg --dearmor | sudo tee /usr/share/keyrings/vscodium.gpg
echo deb [signed-by=/usr/share/keyrings/vscodium.gpg] https://download.vscodium.com/debs vscodium main | sudo tee /etc/apt/sources.list.d/vscodium.list
sudo apt update && sudo apt install -y codium
;;

##################################################################################
06) echo "************ Install Syncthing **********************";
##################################################################################
sudo curl -s -o /usr/share/keyrings/syncthing-archive-keyring.gpg https://syncthing.net/release-key.gpg
echo "deb [signed-by=/usr/share/keyrings/syncthing-archive-keyring.gpg] https://apt.syncthing.net/ syncthing stable" | sudo tee /etc/apt/sources.list.d/syncthing.list

# Bevorzugung von Syncthing-Paketen ("Pinning")
printf "Package: *\nPin: origin apt.syncthing.net\nPin-Priority: 990\n" | sudo tee /etc/apt/preferences.d/syncthing

sudo apt update && sudo apt install -y syncthing syncthing-gtk
systemctl --user enable syncthing && systemctl --user start syncthing
sudo ufw allow syncthing && sudo ufw reload
;;

##################################################################################
07) echo "************ Install Steam DosBOX **********************";
##################################################################################
sudo apt install -y \
    dosbox \
    gamemode \
    mangohud \
    steam \
    xboxdrv
;;

x) echo "";
exit 1;;
*) echo " Press [enter] key to continue. . .";
read enterKey;;
esac
done

